<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <input type="button" id="button" value="Click me">
        <input type="text" id="text">
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", changeText);
            }
            function changeText() {
                text = prompt("Enter your name");
                document.getElementById("text").value = "" + text;  
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
